Warranty Claims Customer Status

To get your customer warranty claims you should use this endpoint: https://partner.getmulberry.com/api/warranty-claim-customer-status.

POST /api/warranty-claim-customer-status.

Auth

You need a public token from your account, see: https://dashboard.getmulberry.com/settings/personal-information. Provide this token as a request header.

Params

This endpoints accepts three optional parameters.

ParamTypeRequiredDescription
claimDateRangeobjectfalsejson object with startDate, endDate pair, ie: {
"startDate": "2024-12-09T00:00:00.000000",
"endDate": "2024-12-10T00:00:00.000000"
}
warrantyStartDateRangeobjectfalsejson object with startDate, endDate pair, ie: {
"startDate": "2024-12-09T00:00:00.000000",
"endDate": "2024-12-10T00:00:00.000000"
}
customerEmailstringfalseValid customer email

Response example.

A valid response would look like the following:

{
    "data": [
        {
            "claim_date": "2025-09-09T16:15:19.253502",
            "description": "There is an ink pen mark from a ball point pen on the top of my ottoman",
            "order_date": "2025-09-09T16:15:19.253734+00:00",
            "order_id": "54110bcb2763d2ec8a134bf464bbac7a76e0a0b3b50200a28ba5ce571a0af72f",
            "product_name": "Ottoman Coffe Table",
            "status": "RESOLVED",
            "warranty_id": "5656262058515",
            "warranty_start_date": "2025-09-09T16:15:19.260571+00:00"
        }
    ],
    "page": 1,
    "per_page": 50,
    "total_count": 1
}